/usr/bin/msh2geo is in rheolef 5.93-2.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 | #!/bin/sh
#
# This file is part of Rheolef.
#
# Copyright (C) 2000-2009 Pierre Saramito
#
# Rheolef is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Rheolef is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Rheolef; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
# -------------------------------------------------------------------------
#Prog:msh2geo
#NAME: msh2geo - convert gmsh mesh in geo format
#@cindex mesh
#@pindex msh2geo
#@pindex geo
#@fiindex @file{.msh} gmsh mesh
#@fiindex @file{.dmn} domain names
#@fiindex @file{.geo} mesh
#@toindex @code{gmsh}
#SYNOPSIS:
#@example
# msh2geo @var{options} @var{input}[.msh]
#@end example
#
#DESCRIPTION:
#Convert a gmsh @file{.msh} into @file{.geo} one.
#The output goes to standart output.
#EXAMPLE:
#@example
# gmsh -2 toto.mshcad -o toto.msh
# msh2geo toto.msh > toto.geo
#@end example
#See the @code{gmsh} documentation for a detailed description
# of the @file{.mshcad} input file for @code{gmsh}.
#End:
msh_file=$1
basename=`basename ${msh_file}`
basename=`expr ${msh_file} : '\(.*\).msh' \| ${msh_file}`
if test -f ${msh_file}; then
true
else
echo "msh2geo: \"${msh_file}\" file not found" 1>&2
exit 1
fi
geo -name $basename -noverbose -input-gmsh -geo -upgrade - < ${msh_file} # 2>/dev/null
status=$?
if test $status -ne 0; then
echo "msh2geo: failed." >&2
exit 1
fi
|